Bug 30293 - Where is sftp?
Where is sftp?
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-02 06:27 EST by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-02 06:27:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-03-02 06:27:30 EST
Hi!

I have a RedHat 7.0 box with openssh2.3.0p1-4 (the 5 packages), it does not
have sftp.
I have rebuild and installed openssh2.3.0p1-16 from wolverine, and it
appears that sftp is not there too.

Is that normal? Is sftp a part of an other package?


Daniel
Comment 1 Pekka Savola 2001-03-03 14:40:45 EST
sftp client is not included in 2.3.0p1, only the server.

In 2.5.1p1, which is in rawhide, sftp client is in /usr/bin.
Comment 2 Need Real Name 2001-03-05 03:38:09 EST
OK, thanks for your answer.

I just have one question before I use 2.5.1:
A key generated by 2.3.0 will be recognised by 2.5.1? There are no compatibility
problems?

Daniel
Comment 3 Need Real Name 2001-04-02 09:12:26 EDT
After you install openssh-*-2.5.2p2-1.7, check to see if sftp works. If you
can't make a connection, check /etc/ssh/sshd_config -- all the way to the bottom
of the file. You should see something like this

Subsystem       sftp    /usr/libexec/openssh/sftp-server

... The RPM (ocassionally, not always) installed the configuration file with a
faulty address (the path was inaccurately listed as
"/usr/libexec/openssh/openssh/sftp-server"). Confirm the location of the
sftp-server and make sure it conforms with the location specified in the
/etc/ssh/sshd_config file.
Comment 4 Need Real Name 2001-04-02 09:22:30 EDT
Hi!

I checked sshd_config and it is OK for me, there are no problems (now I use
openssh-2.5.2p2-1.7). Thanks anyway for the warning.

Daniel

Note You need to log in before you can comment on or make changes to this bug.